博客

centos7.2 安装k8s v1.11.0
作者 guoxudong 发表于 2018年8月14日

centos7.2 安装k8s v1.11.0

最近由于公司业务发展到了瓶颈,原有的技术架构已经逐渐无法满足业务开发和测试的需求,出现了应用测试环境搭建复杂,有许多套(真的很多很多)应用环境,应用在持续集成/持续交付也遇到了很大的困难,经过讨论研究决定对应用和微服务进行容器化,这就是我首次直面docker和k8s的契机。

centos7安装指定版本的docker
作者 guoxudong 发表于 2018年8月14日

centos7安装指定版本的docker

在使用CentOS7,并使用荫安装搬运工的时候,往往不希望安装最新版本的搬运工,而是希望安装与自己熟悉或者当前业务环境需要的版本,例如目前Kubernetes支持的最新搬运工版本为v17.03,所以就产生了安装指定版本 docker 的需求。